--- apps/app_meetme.c   14 Jun 2004 03:12:46 -0000      1.41
+++ apps/app_meetme.c   14 Jun 2004 09:19:11 -0000
@@ -279,8 +279,8 @@
        int hr, min, sec;
        int i = 0, total = 0;
        time_t now;
-       char *header_format = "%-14s %-14s %-8s  %-8s\n";
-       char *data_format = "%-12.12s   %4.4d      %02d:%02d:%02d  %-8s\n";
+       char *header_format = "%-14s %-14s %-14s %-14s %-14s\n";
+       char *data_format = "%-12.12s %6.4d %12.02d:%02d:%02d %13s %15s\n";
        char cmdline[1024] = "";

        if (argc > 8)
@@ -298,16 +298,13 @@
                ast_cli(fd, "No active MeetMe conferences.\n");
                return RESULT_SUCCESS;
        }
-       ast_cli(fd, header_format, "Conf Num", "Parties", "Activity", "Creation");
+       ast_cli(fd, header_format, "Conf Num", "Parties", "Activity", "Creation", "Status");
                while(cnf) {
                        hr = (now - cnf->start) / 3600;
                        min = ((now - cnf->start) % 3600) / 60;
                        sec = (now - cnf->start) % 60;

-                       if (cnf->isdynamic)
-                               ast_cli(fd, data_format, cnf->confno, cnf->users, hr, min, sec, "Dynamic");
-                       else
-                               ast_cli(fd, data_format, cnf->confno, cnf->users, hr, min, sec, "Static");
+                       ast_cli(fd, data_format, cnf->confno, cnf->users, hr, min, sec, (cnf->isdynamic == 1) ? "Dynamic": "Static", (cnf->locked == 1) ? "Locked" : "Unlocked");

                        total += cnf->users;
                        cnf = cnf->next;
@@ -370,7 +367,7 @@
                /* Show all the users */
                user = cnf->firstuser;
                while(user) {
-                       ast_cli(fd, "User #: %i  Channel: %s %s %s\n", user->user_no, user->chan->name, (user->userflags & CONFFLAG_ADMIN) ? "(Admin)" : "", (user->userflags & CONFFLAG_MONITOR) ? "(Listen only)" : "" );
+                       ast_cli(fd, "User: %i  Channel: %s  %2s  %s  %s\n", user->user_no, user->chan->name, (user->userflags & CONFFLAG_ADMIN) ? "(Admin)" : "(User)", (user->userflags & CONFFLAG_MONITOR) ? "(Listener)" : "(Participant)", (user->adminflags & ADMINFLAG_MUTED) ? "(Muted)" : "(Unmuted)" );
                        user = user->nextuser;
                }
                return RESULT_SUCCESS;

